MonoDevelop.Core 0.18.0.0
- Event
  MonoDevelop.Core.OperationHandler Fired when the operation has completed.The event is fired if the operation has been successfully or unsuccessfully completed, or if it has been cancelled.
- Method
  System.Void Cancels the operation.This is a cancel request. The operation may decide to delay or just ignore the request.
- Method
  System.Void Stops the execution until the operation is completed (or cancelled).In some implementations (such as for example the one provided by BaseProgressMonitor), if the current thread is the GTK thread, GTK events will still be executed (the GUI will not freeze).
- Property
  System.Boolean Gets an indication whether the operation has completed. true is if the operation has completed. false otherwise.To be added.
- Property
  System.Boolean Indicates whether the operation has completed successfully or not.'true' if the operation has completed successfully, 'false' otherwise.To be added.
Provides methods for checking the status and controlling asynchronous operations. To be added.